#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,240,280,560,1160,1720,2320
 * N : 25,120,200,240,280,560,1160,1720,2320
 * NB : 9,12,8,40,40,40,40,40,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 9; \
   else if ((n_) < 160) (nb_) = 12; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 2020) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
